/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workmeeting.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workmeeting.entity.Workmeetinguser;

import java.util.List;

/**
 * 会议用户信息DAO接口
 * @author 杨帆
 * @version 2018-03-05
 */
@MyBatisDao
public interface WorkmeetinguserDao extends CrudDao<Workmeetinguser> {

    public List<Workmeetinguser> getByMeetingId(Workmeetinguser workmeetinguser);
    public Workmeetinguser getByMeetingIdAndUser(Workmeetinguser workmeetinguser);

    public List<Workmeetinguser> getByUserId(Workmeetinguser workmeetinguser);

    public int updateByRoomName(Workmeetinguser workmeetinguser);
    public int updateByUser(Workmeetinguser workmeetinguser);
    public int deleteByRoomName(String roomName);

}